package com.yutou.tools.utils.Interfaces;

import com.yutou.tools.mybatis.model.MusicData;

import java.util.List;

public interface MusicToolsService {
    void init();

    void scanMusic();

    List<MusicData> getPath(String path, boolean isDir);

    MusicData getMusicData(String md5);

    List<MusicData> findOfTitle(String title);

    List<MusicData> findOfArtist(String by);

    List<MusicData> getMusicList();

    int getLength();

    boolean isScan();

    String getMusicPath();

    byte[] readImage(String path) throws Exception;
}
